Name:		gnome-mime-data
Summary:	The GNOME virtual file-system libraries
Version:	2.4.0
Release:	2mdk
License:	LGPL
Group:		System/Libraries
Source0:	ftp://ftp.gnome.org/pub/GNOME/stable/sources/%name/%name-%{version}.tar.bz2
Source1:    gnome-mime-data-applications.bz2
Source2:    gnome-mime-data-keys.bz2
# (fc) 2.3.2-1mdk fix default html viewer
Patch0:	    gnome-mime-data-2.3.2-html.patch.bz2
# (fc) 2.2.0-2mdk use OOo in preference of abiword (rawhide)
Patch1:		gnome-mime-data-2.2.0-openoffice.patch.bz2
# (fc) 2.2.0-2mdk fix default applications (Mdk bug 1505) (rawhide)
Patch2:		gnome-mime-data-2.3.2-default-applications.patch.bz2
# (fc) 2.3.1-2mdk add gdesklet magic detection (Mdk bug 4790)
Patch3:		gnome-mime-data-2.3.1-gdesklet.patch.bz2
URL:		http://www.gnome.org/
Requires:   menu
Conflicts: gnome-vfs < 1.0.5-2mdk
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
The GNOME MIME database contains a basic set of applications and MIME
types for a GNOME system.

%prep
%setup -q
%patch0 -p1 -b .html
%patch1 -p1 -b .ooo
%patch2 -p1 -b .defaultapp
%patch3 -p1 -b .gdesklet

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

mkdir -p  $RPM_BUILD_ROOT%{_sysconfdir}/menu-methods
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/menu-methods/%{name}-applications
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/menu-methods/%{name}-keys
chmod a+x $RPM_BUILD_ROOT%{_sysconfdir}/menu-methods/*


%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root)
%doc COPYING ChangeLog README
%config(noreplace) %{_sysconfdir}/gnome-vfs-mime-magic
%config(noreplace) %{_sysconfdir}/menu-methods/*
%{_datadir}/application-registry
%{_datadir}/mime-info/*
%{_datadir}/man/man5/*
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Sep 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-2mdk
- Fix source1 to generate non-buggy applications-registry files

* Wed Sep 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Mon Sep 01 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.2-1mdk
- Release 2.3.2
- Regenerate patch0 to use galeon by default and add galeon nautilus
  view
- Regenerate patch1 to pass test

* Fri Aug 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.1-2mdk
- Patch3 : add magic detection of gdesklet file (Mdk bug 4790)

* Thu Aug  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.1-1mdk
- Release 2.3.1
- Regenrate patch 2 (partially merged)

* Tue Jul 29 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.0-3mdk
- Update patch2 to use totem instead of xine and to not 
  use openoffice for text file (bug 3954)

* Tue Jul 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.0-2mdk
- Update patch2 to use gpdf instead of ggv for PDF files

* Mon Apr 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.0-1mdk
- Release 2.3.0
- Regenerate patch2

* Wed Mar 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.0-2mdk
- Patch1 (rawhide): use OOo by default when available
- Patch2 (rawhide): fix default applications (Mdk bug 1505)

* Thu Feb  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0
- Remove patches 1 & 2 (merged upstream)

* Fri Dec 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-3mdk
- Patch2: fix fonts detection

* Thu Sep  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-2mdk
- Update source2 to set default action to applications
- Patch1 (CVS): set gnome-sound-recorder to start playing sound file (bug #90959)

* Thu Aug 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1
- Patch0: add gtkhtml to HTML viewer

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Fri May 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.8-1mdk
- Release 1.0.8

* Wed Apr 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.7-1mdk
- Release 1.0.7

* Fri Apr 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-1mdk
- Release 1.0.6

* Thu Mar 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.5-1mdk
- Release 1.0.5
- Remove patch 1, merged upstream

* Wed Mar 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-5mdk
- Remove patch 0, no longer needed with gnome-vfs 1.0.5

* Wed Mar  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-4mdk
- Patch1 (GNOME): disable zip magic since it prevents OpenOffice files detection

* Tue Jan 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-3mdk
- Patch0: ugly hack to generate .keys file correct for GNOME1 (might break GNOME2)

* Mon Jan 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- Move menu methods from gnome-vfs to gnome-mime-data (Thank to Abel)

* Mon Jan 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Initial Mdk package

* Sun Oct 21 2001 Gregory Leblanc <gleblanc@linuxweasel.com>
- some messing around with Requires: and BuildRequires
- cleaned up %files quite a bit (still not quite as good as it could be)
- removed a bunch of unnecessary %defines
